package com.jpsoft.shinestar.modules.base.dao;

import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.WorkOver;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface WorkOverDAO {
	int insert(WorkOver entity);
	int update(WorkOver entity);
	int exist(String id);
	WorkOver get(String id);
	int delete(String id);
	List<WorkOver> list();
	List<WorkOver> search(Map<String, Object> searchParams, List<Sort> sortList);
	int findSumHoursByParams(Long personId, Date startDate, Date endDate, Map<String, Object> searchParams);
	List<String> findPeopdomId(Date startDate, Date endDate);
	int findCountByPersonId(Long personId,Date startDate, Date endDate);
	Date findTopCreateTimeByPersonId(Long personId,Date startDate, Date endDate);
	Date findTopApprovalTimeByPersonId(Long personId,Date startDate, Date endDate);
}